require( "scripts/style.lua" );

kButtonSpacing = 60;
kButtonY = 50;

MakeDialog
{
	Bitmap
	{
		name="pausebackground",
		image="backgrounds/dialog",
		x=kCenter,
		y=kCenter,
		
		Button
		{
			x=kCenter + kButtonXFromCenter,
			y=kButtonY,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="resume",
			label="resume",
			type = kPush,
			rolloversound = "assets/audio/sfx/dialog_roll.ogg",
			sound = "assets/audio/sfx/dialog_click.ogg",
			close = true
		},
		
		Button
		{
			x=kCenter + kButtonXFromCenter,
			y=kButtonY + (kButtonSpacing * 1),
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="options",
			label="options",
			type = kPush,
			rolloversound = "assets/audio/sfx/dialog_roll.ogg",
			sound = "assets/audio/sfx/dialog_click.ogg",
			command=
				function()
					DoModal("scripts/options.lua");
				end
		},
		
		Button
		{
			x=kCenter + kButtonXFromCenter,
			y=kButtonY + (kButtonSpacing * 2),
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="quit",
			label="quit",
			type = kPush,
			rolloversound = "assets/audio/sfx/dialog_roll.ogg",
			sound = "assets/audio/sfx/dialog_click.ogg",
			command=
				function()
					QuitGame();
					PopModal(); -- take off pause menu
					PopModal(); -- take off game menu
				end
		},
	},
}